//
//  NSString-FriBidiAdditions.m
//  Hebrew Service
//
//  Created by Nir on 19/1/2006.
//

#import "NSString-FriBidiAdditionsTest.h"
#import "NSString-FriBidiAdditions.h"

// Make Python like unicode string literals
#define U(s) [NSString stringWithUTF8String:s]


@implementation NSString_FriBidiAdditionsTest

- (void)testEmptyString
{
    NSString *test = U("");
    [self assert:[test stringByOrderingVisually]
          equals:test];
}

- (void)testBigString
{
    // Create a big string.
    NSString *test = [@"" stringByPaddingToLength:1024 
                                       withString:@"x"
                                  startingAtIndex:0];
    [self assert:[test stringByOrderingVisually]
          equals:test];
}

- (void)testOrderAsRightToLeft
{
    NSString *test = U("hello - שלום");
    [self assert:[test stringByOrderingVisually] 
          equals:U("םולש - hello")];
}

- (void)testMultipleLines
{
    NSString *test = U("hello - שלום\n"
                       "hello - שלום\n"
                       "\n"
                       "hello - שלום\n");
    [self assert:[test stringByOrderingVisually] 
          equals:U("םולש - hello\n"
                   "םולש - hello\n"
                   "\n"
                   "םולש - hello\n")];
}


@end
